# visualization-js-api

VisualizationJsApi - the Ruby gem for the Visualization API

Generates server side renderings of D3 visualizations for a nodejs backend

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1.0
- Package version: 0.1.0
- Build date: 2020-07-16T22:06:32.894+02:00
- Build package: class io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build visualization-js-api.gemspec
```

Then either install the gem locally:

```shell
gem install ./visualization-js-api-0.1.0.gem
```
(for development, run `gem install --dev ./visualization-js-api-0.1.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'visualization-js-api', '~> 0.1.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'visualization-js-api', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'visualization-js-api'

api_instance = VisualizationJsApi::DefaultApi.new

graph_definition = VisualizationJsApi::GraphDefinition.new # GraphDefinition | The graph definition object


begin
  result = api_instance.render_png_post(graph_definition)
  p result
rescue VisualizationJsApi::ApiError => e
  puts "Exception when calling DefaultApi->render_png_post: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost:8000/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*VisualizationJsApi::DefaultApi* | [**render_png_post**](docs/DefaultApi.md#render_png_post) | **POST** /render.png | 
*VisualizationJsApi::DefaultApi* | [**render_svg_post**](docs/DefaultApi.md#render_svg_post) | **POST** /render.svg | 


## Documentation for Models

 - [VisualizationJsApi::GraphDefinition](docs/GraphDefinition.md)
 - [VisualizationJsApi::GraphDefinitionGraph](docs/GraphDefinitionGraph.md)
 - [VisualizationJsApi::GraphDefinitionGraphOptions](docs/GraphDefinitionGraphOptions.md)


## Documentation for Authorization


### auth

- **Type**: HTTP basic authentication

