# VisualizationJsApi::DefaultApi

All URIs are relative to *https://localhost:8000/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**render_png_post**](DefaultApi.md#render_png_post) | **POST** /render.png | 
[**render_svg_post**](DefaultApi.md#render_svg_post) | **POST** /render.svg | 


# **render_png_post**
> String render_png_post(graph_definition)



Renders a graph in PNG format

### Example
```ruby
# load the gem
require 'visualization-js-api'

api_instance = VisualizationJsApi::DefaultApi.new

graph_definition = VisualizationJsApi::GraphDefinition.new # GraphDefinition | The graph definition object


begin
  result = api_instance.render_png_post(graph_definition)
  p result
rescue VisualizationJsApi::ApiError => e
  puts "Exception when calling DefaultApi->render_png_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **graph_definition** | [**GraphDefinition**](GraphDefinition.md)| The graph definition object | 

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: image/png



# **render_svg_post**
> String render_svg_post(graph_definition)



Renders a graph in SVG format

### Example
```ruby
# load the gem
require 'visualization-js-api'

api_instance = VisualizationJsApi::DefaultApi.new

graph_definition = VisualizationJsApi::GraphDefinition.new # GraphDefinition | The graph definition object


begin
  result = api_instance.render_svg_post(graph_definition)
  p result
rescue VisualizationJsApi::ApiError => e
  puts "Exception when calling DefaultApi->render_svg_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **graph_definition** | [**GraphDefinition**](GraphDefinition.md)| The graph definition object | 

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: image/svg



